# multiset.h File Reference

## Detailed Description

This file is a GNU debug extension to the Standard C++ Library.

Definition in file multiset.h.

Go to the source code of this file.

## Namespaces

- namespace std
- namespace std::__debug

## Classes

- class std::__debug::multiset< _Key, _Compare, _Allocator >

## Defines

- #define _GLIBCXX_DEBUG_MULTISET_H

## Functions

- template<typename _Key, typename _Compare, typename _Allocator> bool std::__debug::operator!= (const multiset< _Key, _Compare, _Allocator > &__lhs, const multiset< _Key, _Compare, _Allocator > &__rhs)
- template<typename _Key, typename _Compare, typename _Allocator> bool std::__debug::operator< (const multiset< _Key, _Compare, _Allocator > &__lhs, const multiset< _Key, _Compare, _Allocator > &__rhs)
- template<typename _Key, typename _Compare, typename _Allocator> bool std::__debug::operator<= (const multiset< _Key, _Compare, _Allocator > &__lhs, const multiset< _Key, _Compare, _Allocator > &__rhs)
- template<typename _Key, typename _Compare, typename _Allocator> bool std::__debug::operator== (const multiset< _Key, _Compare, _Allocator > &__lhs, const multiset< _Key, _Compare, _Allocator > &__rhs)
- template<typename _Key, typename _Compare, typename _Allocator> bool std::__debug::operator> (const multiset< _Key, _Compare, _Allocator > &__lhs, const multiset< _Key, _Compare, _Allocator > &__rhs)
- template<typename _Key, typename _Compare, typename _Allocator> bool std::__debug::operator>= (const multiset< _Key, _Compare, _Allocator > &__lhs, const multiset< _Key, _Compare, _Allocator > &__rhs)
- template<typename _Key, typename _Compare, typename _Allocator> void std::__debug::swap (multiset< _Key, _Compare, _Allocator > &__x, multiset< _Key, _Compare, _Allocator > &__y)